Page MenuHomePhabricator

Sticky filters on workboards
Closed, ResolvedPublic

Description

I have setup https://phabricator.wikimedia.org/project/board/67/ but I want it to always filter out any cards which have 'Patch for review' is this possible to achieve?

Event Timeline

Jdlrobson created this task.Dec 5 2014, 9:55 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Phabricator.
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.

Yes (more or less). Via Filter->Advanced Filter, you can filter on 'Not in Projects: Patch-for-review', and the URL will change to https://phabricator.wikimedia.org/project/board/67/query/dXNoGwi5wbg1/ , which you can then bookmark.

As far as I know, there's no way to set that as default view (i.e. to change the links on the Task & Project overview pages)

Qgil triaged this task as Lowest priority.Dec 8 2014, 7:12 AM
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.

Yeh I'm aware of the filters but I want a common bookmark that can be shared between people in the project.

Aklapper renamed this task from Sticky filters to Sticky filters on workboards.Dec 8 2014, 10:15 PM
Aklapper added a subscriber: Arrbee.

Yeh I'm aware of the filters but I want a common bookmark that can be shared between people in the project.

I'm confused -- you can share the URL you get after applying the filter, right? In this case, https://phabricator.wikimedia.org/project/board/67/query/dXNoGwi5wbg1/ . I haven't tested what happens if other users open it, but I can open it in a private browser tab without any issues.

Qgil added a comment.Dec 9 2014, 4:54 PM

This is what I get (which seems to be what you want to share):

So from what you are saying the last custom filter stays on the board? This is confusing.. what if you change the filter? Will it update for everyone.

It will probably help to clarify my use case, maybe I am misunderstanding how the software works.

At top right there is "custom filter"
I want multiple saved custom filters here that anyone viewing this board can see.
e.g. "Open" patches for me also means does not have the tag patch for review.
e.g. Technical debt "show me all cards which are also tagged with technicaldebt"
e.g. Product backlog "show me all cards which are also tagged with product"

As I understand it, the URL

https://phabricator.wikimedia.org/project/board/67/query/dXNoGwi5wbg1/

will always refer to 'The workboard for mobile-web with custom filter 'not in project patch-for-review'. Then

https://phabricator.wikimedia.org/project/board/67/query/g5YZGFODKfDv/

is 'Mobile-web, open, not patch-for-review, tagged with technical-debt'

and

https://phabricator.wikimedia.org/project/board/67/query/4BkEd4HIrAAW/

is 'Mobile-web, open, not p-f-r, tagged with wikidata'.

As far as I have tested, these queries can also be shared with others. If they are edited, they get a new URL. If you want to check the specific query, you can do this by clicking Filter: Custom Filter » Custom Filter.

I don't want to have to share these URL's with people over email I want them to be sticky and in the drop down at

https://phabricator.wikimedia.org/project/board/67/

Qgil added a comment.Dec 17 2014, 8:37 AM

So this would be like "Saved searches" for workboards, but shared with all the viewers of a board.

Some upstream discussion in https://secure.phabricator.com/T6641#158940.

At HEAD, you may be able to work around this by creating a profile menu item instead of a saved filter. See the upstream link for a few more details.

If that's not satisfactory, we're at least tentatively open to implementing "Saved Searches" for workboards in a future iteration if this request does make it upstream.

hashar added a subscriber: hashar.Feb 12 2016, 4:46 PM

Upstream had some recent activity on https://secure.phabricator.com/T6641 and even committed a change:

https://secure.phabricator.com/rPde379c8b61b8a6035aa9cc020b1abdd51e4ad414

So somehow whenever we bump our Phabricator version we will have this ;-)

mmodell closed this task as Resolved.Mar 3 2016, 2:02 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:04 PM